Bug 764623 - (GLUSTER-2891) Avoid hardcoding libexecdir
Avoid hardcoding libexecdir
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Csaba Henk
Depends On:
  Show dependency treegraph
Reported: 2011-05-09 12:24 EDT by Vijay Bellur
Modified: 2013-01-16 16:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2011-05-09 12:24:01 EDT
git grep libexec yields:

xlators/mgmt/glusterd/src/glusterd.c:                "remote-gsyncd /usr/local/libexec/glusterfs/gsyncd . ^ssh:");

Please change these occurrences to make use of the configure'd libexec.
Comment 1 Csaba Henk 2011-05-09 23:00:32 EDT

that hard-coded path is there:
- with purpose
- on your request (actually a mini-framework had to be written to support that option :) )

so I'm not sure we'd really want to weed that out, we'll discuss.
Comment 2 Csaba Henk 2011-05-25 23:41:06 EDT
at the end of the day, we can conclude that the only related thing to change is to weed out "local" from the rpm specfile; that  should be covered by #2947.

Note You need to log in before you can comment on or make changes to this bug.